Package org.gradle.plugins.signing.type

## Class DefaultSignatureTypeProvider

- java.lang.Object
- - org.gradle.plugins.signing.type.AbstractSignatureTypeProvider
  - - org.gradle.plugins.signing.type.DefaultSignatureTypeProvider

- All Implemented Interfaces:
    `SignatureTypeProvider`

      public class DefaultSignatureTypeProvider
      extends AbstractSignatureTypeProvider

  The default `SignatureTypeProvider` implementation including support for `BinarySignatureType` and `ArmoredSignatureType` signatures.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultSignatureTypeProvider()` |

  - ### Method Summary

    - ### Methods inherited from class org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

      `getDefaultType, getTypeForExtension, hasTypeForExtension, register, setDefaultType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSignatureTypeProvider

          public DefaultSignatureTypeProvider()